cURL
curl --request GET \
--url https://api.mottostreaming.com/streaming/video_protection/v1/rulesets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mottostreaming.com/streaming/video_protection/v1/rulesets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mottostreaming.com/streaming/video_protection/v1/rulesets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video_protection_rulesets": [
{
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"geo_restrictions_disallow": {
"country_codes": [
"<string>"
]
},
"geo_restrictions_allow": {
"country_codes": [
"<string>"
]
},
"disallow_vpn_usage": true,
"disallow_hotlinking": true,
"allowed_domains": [
"<string>"
],
"require_authentication": true,
"disabled": true,
"require_entitlement": true,
"geo_applicability_exempt": {
"country_codes": [
"<string>"
]
},
"geo_applicability_apply": {
"country_codes": [
"<string>"
]
},
"applies_to_all": true,
"target": {
"entity_ids": [
"<string>"
],
"event_ids": [
"<string>"
],
"creative_work_ids": [
"<string>"
],
"content_start_time": "2023-11-07T05:31:56Z",
"content_end_time": "2023-11-07T05:31:56Z"
},
"drm": {
"enabled": true,
"hws_minimum_quality": 123,
"split_keys": true
},
"enforce_concurrency_limits": true,
"priority": "<string>"
}
],
"next_page_token": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}List rulesets
ListVideoProtectionRulesets
Return list of video_protections.
GET
/
streaming
/
video_protection
/
v1
/
rulesets
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of records to return
If this field is not empty then it must contain the next_page_token value
returned by a previous call to this method. Using this field causes the
method to return additional results from the previous method call.
You can filter the list of video_protections by the following fields:
disabled(boolean): Whether the ruleset is disabled or not.is_template(boolean) - is true when there is no content targeting at allapplies_to_all_content(boolean) - is true when the offer applies to all content, false if it applies to specific content.entity_ids(array of strings) - matches offers that apply to at least one of the specified entity IDs. You MUST use the>@operator for this field, e.g.entity_ids>@(entityID1 OR entityID2)event_ids(array of strings) - matches offers that apply to at least one of the specified event IDs. You MUST use the>@operator for this field, e.g.event_ids>@(eventID1 OR eventID2)creative_work_ids(array of strings) - matches offers that apply to at least one of the specified creative work IDs. You MUST use the>@operator for this field, e.g.creative_work_ids>@(creativeWorkID1 OR creativeWorkID2)

